aboutsummaryrefslogtreecommitdiff
path: root/bash
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2015-12-11 14:15:04 +1300
committerTom Ryder <tom@sanctum.geek.nz>2015-12-11 14:15:04 +1300
commitb706dd0b209d9c07b1a7676d10813615a2482997 (patch)
tree43215b5260d91f312083b549178104fe93545c21 /bash
parentRestore previous fnl syntax for shellcheck (diff)
downloaddotfiles-b706dd0b209d9c07b1a7676d10813615a2482997.tar.gz
dotfiles-b706dd0b209d9c07b1a7676d10813615a2482997.zip
Create bashkeep directory if it doesn't exist
Diffstat (limited to 'bash')
-rw-r--r--bash/bashrc.d/keep.bash1
1 files changed, 1 insertions, 0 deletions
diff --git a/bash/bashrc.d/keep.bash b/bash/bashrc.d/keep.bash
index bdb5c2de..6295069d 100644
--- a/bash/bashrc.d/keep.bash
+++ b/bash/bashrc.d/keep.bash
@@ -11,6 +11,7 @@ keep() {
# Figure out the directory to which we're reading and writing these scripts
local bashkeep
bashkeep=${BASHKEEP:-$HOME/.bashkeep.d}
+ mkdir -p -- "$bashkeep" || return
# Parse options
local opt delete